| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions | List of all members
Tp::NotDelegatedMap Struct Reference
Mapping types

`#include <TelepathyQt/Types>`

Inherits QMap< QDBusObjectPath, NotDelegatedError >.

## Public Member Functions

| NotDelegatedMap ()
| NotDelegatedMap (const QMap< QDBusObjectPath, NotDelegatedError > &a)
NotDelegatedMap & | operator= (const QMap< QDBusObjectPath, NotDelegatedError > &a)

## Detailed Description

Mapping type generated from the specification. Convertible with QMap<QDBusObjectPath, NotDelegatedError>, but needed to have a discrete type in the Qt type system.

A mapping associating not delegated channel with an error.

## Constructor & Destructor Documentation

Tp::NotDelegatedMap::NotDelegatedMap | ( |  | ) |

inline

Tp::NotDelegatedMap::NotDelegatedMap | ( | const QMap< QDBusObjectPath, NotDelegatedError > & | a | ) |

inline

## Member Function Documentation

NotDelegatedMap& Tp::NotDelegatedMap::operator= | ( | const QMap< QDBusObjectPath, NotDelegatedError > & | a | ) |

inline